Sada je: 13 kol 2020, 10:31.
Diskusije o hardveru i driverima pod Linuxom.

Moderator/ica: Moderatori/ce

Nek si čopi susetov kernel i mrkne ga na mint.
Lutherus
Lutherus
Moze i to.
Lutherus je napisao/la:Ne postoje linuksi, postoji samo Linux i on je jedan i on je kernel.

Is Linux About Choice? || Pulsir - awesome blogging site :D
iv@n je napisao/la:Divide et impera i kako se kaže na latinskom da je ljudska glupost neuništiva.
Avatar
Postovi: 6781
Postovi: 6781
Pridružen/a: 06 lis 2011, 01:29
Lokacija: ~$
Podijelio/la zahvalu: 145 puta
Primio/la zahvalu: 58 puta
Spol: M
OS: Ovisi za sta
Lutherus je napisao/la:Nek si čopi susetov kernel i mrkne ga na mint.

Rado bih probao uz malo pomoći ako može :D
Avatar
Postovi: 17
Postovi: 17
Pridružen/a: 06 ožu 2012, 21:29
Podijelio/la zahvalu: 2 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: LMDE
Ste vi uopce procitali link koji je covjek postavio prije nego sto ste poceli nabrajat distribucije i njihove kernele? Kolko sam ja skuzio patch uopce nije landao upstream, moze se vidjet po tome sto fedora patcha najnovije kernele i po http://git.kernel.org/?p=linux/kernel/g ... 460d6b3f62. Mada mi je to sve cudno, jer ipak se na mailing listi javio covjek koji je zaduzen za odrzavanje linux acpia(predpostavljam) i reko da je applied. Jedino di sam vidjeo da je taj patch applied je na next.kernel.org domeni(ako se dobro sjecam) a iskreno nemam pojma sta je to...

@JoLe
Da ti odgovorim na pitanje: nije primjenjivo na LMDE, jedino je fedora patchala svoje pakete... Mozes napravit par stvari:

-instalirat feadorin package manager na debian(LMDE) i s njime povuc fedorin kernel, ovo se ne radi bas cesto al opet...
-extractat feadorin paket u root svog sistema, ovo nije bas preporucljivo i pametno, no nije ni ovo iznad nes puno pametnije...
-probat instalirat noviji kernel iz unstable debiana ili nekog drugog resursa(mada pitaj debianovce kako ovo napravit, ja nisam nes upucen u debian)
-povuci source paket trenutnog debian kernela iz repoa, patchaj ga i buildaj novi paket, ovo takoder pitaj debianovce kako napravit... Meni je doslo slabo kad sam vidjeo "lakocu" debianovog paketiranja...
Evo patcha:
Kod: Označi sve
--- a/drivers/acpi/acpica/tbfadt.c
+++ b/drivers/acpi/acpica/tbfadt.c
@@ -363,10 +363,6 @@ static void acpi_tb_convert_fadt(void)
    u32 address32;
    u32 i;
 
-   /* Update the local FADT table header length */
-
-   acpi_gbl_FADT.header.length = sizeof(struct acpi_table_fadt);
-
    /*
     * Expand the 32-bit FACS and DSDT addresses to 64-bit as necessary.
     * Later code will always use the X 64-bit field. Also, check for an
@@ -408,6 +404,10 @@ static void acpi_tb_convert_fadt(void)
       acpi_gbl_FADT.boot_flags = 0;
    }
 
+   /* Update the local FADT table header length */
+
+   acpi_gbl_FADT.header.length = sizeof(struct acpi_table_fadt);
+
    /*
     * Expand the ACPI 1.0 32-bit addresses to the ACPI 2.0 64-bit "X"
     * generic address structures as necessary. Later code will always use

Mada nisam bas nes siguran za brojeve linija. Patch applyat s patch -p1 imekojedaspatchu.patch s time da imekojedaspatchu.patch mora sadrzavat gore navedeni kod i to naravno applyat u kernel-source diru ;).
Link mailling listu di je patch s opisom.

Mada bi ti od svega toga mozda bilo najlakse jednostavno stavit Feadoru, i to ti ja i preporucam, nije debian distra za pocetnika(bez uvrede, ovo ti kao savjet govorim) ;).
Btw ako netko zna zasto patch nije landao upstream nek napise, zanima me...
Postovi: 290
Postovi: 290
Pridružen/a: 13 ožu 2012, 20:14
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 0 puta
Hvala na iscrpnom odgovoru ;)
Je li moguće napraviti downgrade kernela na 2.6.38 ili neku stariju verziju gdje nema problema sa ACPI?
Toliko sam zapeo za LMDE da ću radije mijenjati matičnu nego distru :D
Avatar
Postovi: 17
Postovi: 17
Pridružen/a: 06 ožu 2012, 21:29
Podijelio/la zahvalu: 2 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: LMDE
Molim ;).
Umm neznam, ako je moguce nac binary paket za taj kernel onda je, mada opet treba pazit da bude sa sigurnosnim zakrpama, al mislim da bis si tako lako mogo slomit sistem(s starim kernelom) ;).
Postovi: 290
Postovi: 290
Pridružen/a: 13 ožu 2012, 20:14
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 0 puta
Ima na http://snapshot.debian.org ali kako ručno instalirati?
Avatar
Postovi: 17
Postovi: 17
Pridružen/a: 06 ožu 2012, 21:29
Podijelio/la zahvalu: 2 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: LMDE
Kao sto rekoh, neradim na debianu, morat ces cekat da ti netko od debianovca odgovori. Ja ti mogu rec sta u generalnoj praksi moras napravit: vidjet koji je minimalni kernel o kojem zavise paketi, vjerojatno bi ti glibc bio najvazniji za pogledat, dodat taj repo i povuc kernel pakete(nemam pojma kako se zovu) ili skinut te kernel pakete i sam ih ih rucno instalirat s package managerom(dpkg), o i da moras postavit da ti se kernel paketi ne updateaju. S svim tim se vjerojatno mozes pozdravit s podrskom za taj kernel(a i sistem)...
Postovi: 290
Postovi: 290
Pridružen/a: 13 ožu 2012, 20:14
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 0 puta
Mislim da ti je najpametnije sacekat novu verziju Mint-a.

@Netko
Daj molim te napisi nesto o sebi u profilu. Koju distru koristis, cime se bavis i tako to. Dosao si ovdje i odmah si poceo odgovarat. Vidim da se kuzis jako dobro u stvari.
Sorry na OT
Lutherus je napisao/la:Ne postoje linuksi, postoji samo Linux i on je jedan i on je kernel.

Is Linux About Choice? || Pulsir - awesome blogging site :D
iv@n je napisao/la:Divide et impera i kako se kaže na latinskom da je ljudska glupost neuništiva.
Avatar
Postovi: 6781
Postovi: 6781
Pridružen/a: 06 lis 2011, 01:29
Lokacija: ~$
Podijelio/la zahvalu: 145 puta
Primio/la zahvalu: 58 puta
Spol: M
OS: Ovisi za sta
Našao sam starija izdanja LMDE pa ću probati. Hvala još jednom.
Avatar
Postovi: 17
Postovi: 17
Pridružen/a: 06 ožu 2012, 21:29
Podijelio/la zahvalu: 2 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: LMDE

Na mreži
Trenutno korisnika/ca: / i 1 gost.